com.holonplatform.datastore.mongo.core.internal

## Class DefaultBsonFilter

- java.lang.Object
- - com.holonplatform.datastore.mongo.core.internal.DefaultBsonFilter

- All Implemented Interfaces:
    com.holonplatform.core.Expression, com.holonplatform.core.query.QueryFilter, BsonFilter, Serializable

      public class DefaultBsonFilter
      extends Object
      implements BsonFilter

  Default `BsonFilter` implementation.
  Since:
    5.2.0
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.query.QueryFilter

      `com.holonplatform.core.query.QueryFilter.CompositeQueryFilter, com.holonplatform.core.query.QueryFilter.QueryFilterResolver<T extends com.holonplatform.core.query.QueryFilter>, com.holonplatform.core.query.QueryFilter.QueryFilterSupport<C extends com.holonplatform.core.query.QueryFilter.QueryFilterSupport<C>>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Expression

      `com.holonplatform.core.Expression.ExpressionResolverFunction<E extends com.holonplatform.core.Expression,R extends com.holonplatform.core.Expression>, com.holonplatform.core.Expression.InvalidExpressionException`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultBsonFilter(org.bson.conversions.Bson bson)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.bson.conversions.Bson` | `getBson()` Get the filter expression as a `Bson` expression.
    `void` | `validate()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.datastore.mongo.core.BsonFilter

      `create`

    - ### Methods inherited from interface com.holonplatform.core.query.QueryFilter

      `allOf, allOf, and, anyOf, anyOf, between, contains, endsWith, eq, eq, goe, goe, greaterThan, greaterThan, gt, gt, in, in, in, isNotNull, isNull, lessThan, lessThan, loe, loe, lt, lt, neq, neq, nin, nin, nin, not, not, or, startsWith`

- - ### Constructor Detail

    - #### DefaultBsonFilter

          public DefaultBsonFilter(org.bson.conversions.Bson bson)

      Constructor.
      Parameters:
        `bson` - Filter expression

  - ### Method Detail

    - #### getBson

          public org.bson.conversions.Bson getBson()

      Description copied from interface: `BsonFilter`
      Get the filter expression as a `Bson` expression.
      Specified by:
        `getBson` in interface `BsonFilter`
      Returns:
        `Bson` filter expression (must be not null)

    - #### validate

          public void validate()
                        throws com.holonplatform.core.Expression.InvalidExpressionException

      Specified by:
        `validate` in interface `com.holonplatform.core.Expression`
      Throws:
        `com.holonplatform.core.Expression.InvalidExpressionException`

Copyright © 2019 The Holon Platform. All rights reserved.